summaryrefslogtreecommitdiff
path: root/travis.sh
diff options
context:
space:
mode:
authorHaru <haru@dotalux.com>2015-08-13 16:20:52 +0200
committerHaru <haru@dotalux.com>2015-08-13 16:20:52 +0200
commit1dd61c6732394219fdbe9abed2af5c785a0309b0 (patch)
tree09993524890852a7a39824731ec7d064a00e528c /travis.sh
parent7c67e4fb602368f67a9f64377d2702c356c23b75 (diff)
downloadhercules-1dd61c6732394219fdbe9abed2af5c785a0309b0.tar.gz
hercules-1dd61c6732394219fdbe9abed2af5c785a0309b0.tar.bz2
hercules-1dd61c6732394219fdbe9abed2af5c785a0309b0.tar.xz
hercules-1dd61c6732394219fdbe9abed2af5c785a0309b0.zip
Added script_mapquit plugin (moved from the StaffPlugins repository)
The plugin is used by the Travis CI build, and it makes more sense to be present here, so that it can be kept up to date when the HPM is updated, to avoid build failures. Signed-off-by: Haru <haru@dotalux.com>
Diffstat (limited to 'travis.sh')
-rwxr-xr-xtravis.sh28
1 files changed, 11 insertions, 17 deletions
diff --git a/travis.sh b/travis.sh
index c04131e20..31a3f330a 100755
--- a/travis.sh
+++ b/travis.sh
@@ -57,9 +57,7 @@ case "$MODE" in
(cd tools && ./validateinterfaces.py silent) || aborterror "Interface validation error."
./configure $@ || aborterror "Configure error, aborting build."
make sql -j3 || aborterror "Build failed."
- if [ -f src/plugins/script_mapquit.c ]; then
- make plugin.script_mapquit -j3 || aborterror "Build failed."
- fi
+ make plugin.script_mapquit -j3 || aborterror "Build failed."
;;
test)
cat >> conf/import/login_conf.txt << EOF
@@ -92,25 +90,21 @@ log_db_ip: localhost
EOF
[ $? -eq 0 ] || aborterror "Unable to import configuration, aborting tests."
ARGS="--load-script npc/dev/test.txt "
- if [ -f src/plugins/script_mapquit.c ]; then
- ARGS="--load-plugin script_mapquit $ARGS --load-script npc/dev/ci_test.txt"
- fi
+ ARGS="--load-plugin script_mapquit $ARGS --load-script npc/dev/ci_test.txt"
echo "Running Hercules with command line: ./map-server --run-once $ARGS"
./map-server --run-once $ARGS || aborterror "Test failed."
;;
getplugins)
echo "Cloning plugins repository..."
- git clone http://github.com/HerculesWS/StaffPlugins.git || aborterror "Unable to fetch plugin repository"
- if [ -f StaffPlugins/Haru/script_mapquit/script_mapquit.c -a -f StaffPlugins/Haru/script_mapquit/examples/ci_test.txt ]; then
- pushd src/plugins || aborterror "Unable to enter plugins directory."
- ln -s ../../StaffPlugins/Haru/script_mapquit/script_mapquit.c ./
- popd
- pushd npc/dev || aborterror "Unable to enter scripts directory."
- ln -s ../../StaffPlugins/Haru/script_mapquit/examples/ci_test.txt ./
- popd
- else
- echo "Plugin not found, skipping advanced tests."
- fi
+ # Nothing to clone right now, all relevant plugins are part of the repository.
+ #git clone http://github.com/HerculesWS/StaffPlugins.git || aborterror "Unable to fetch plugin repository"
+ #if [ -f StaffPlugins/Haru/script_mapquit/script_mapquit.c -a -f StaffPlugins/Haru/script_mapquit/examples/ci_test.txt ]; then
+ # pushd src/plugins || aborterror "Unable to enter plugins directory."
+ # ln -s ../../StaffPlugins/Haru/script_mapquit/script_mapquit.c ./
+ # popd
+ #else
+ # echo "Plugin not found, skipping advanced tests."
+ #fi
;;
*)
usage